package io.renren.modules.demo.service;


import io.renren.modules.sys.dto.*;

import java.util.List;
import java.util.Map;

public interface RemoteAdvertPort {
    String grantOauth(Long id);
    void getToken(Map<String,Object> paramMap);
    void refreshToken(Long state,String refreshToken);
    //获取授权账号以及账号类型（key：账号类型  value：账号）
    Map<String,String> getAccountType(String accessToken,String authInfo);
    //根据授权账号和账号类型获取广告主账号
    List<RdAdvertiserDTO> getAdvertiserIdList(String accountType, String accountId, String accessToken);
    //根据广告主账号以及accessToken获取账户资金信息
    RdAccountDTO getAdvertiserFund(String advertiserId, String accessToken);
    //根据广告主账号以及accessToken获取账户日流水
    RdAccountDailyStatDTO getAdvertiserFundDailyStat(String advertiserId, String accessToken,String date);
    //根据广告主账号以及accessToken获取账户日流水明细
    AdvertiserFundTransactionPageDTO getAdvertiserFundTransaction(AdvertiserFundTransactionPageDTO advertiserFundTransactionPageDTO,String transactionType);
    //根据广告主账号以及accessToken获取受众分析市级数据
    List<RdAudienceCityDTO> getAdvertiserAudienceCity(String advertiserId, String accessToken, String date);


}
